#!/bin/sh

for dir in design impl1 tmp
do
    echo "Now filtering $dir"
    find ./$dir -type f -print | xargs perl -npi -e \
	's/\bMDI\b|\bESYS\b|messaging ?direct/XblahX/ig;
	 s/m-?store|storemgr|store_mgr|store ?manager|authproxyd/XappX/ig;
	 s/bsd_convert|cramdb_convert|deliver|imapd|lmtpd/XappX/ig;
	 s/msadm_bulkadd|msadm_bulkdel|msadm_mbox_path/XappX/ig;
	 s/msadm_tclsh|msdb_archive|msdb_backup|msdb_checkpoint/XappX/ig;
	 s/msdb_mgr|msdb_recover|msdb_restore|msdb_upgrade/XappX/ig;
	 s/pop3d|sms_convert|store_setup/XappX/ig;
	 s/ms.conf/XfileX/ig;
	'
done
